package com.ejweb.modules.front.upload.bean;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * 单个文件实体
 * @team IT Team
 * @author  renmb
 * @version 1.0
 * @time 2016-03-22
 *
 */
public class UploadFileBean {

    private String name;
    private String inputName;
    private String extesion;
    @JSONField(deserialize=false)
    private String path;
    private String thumbs;
    private String md5;
    private int    size;
    @JSONField(serialize=false)
    private String summary;
    private int    width;// 图片特有
    private int    height;// 图片特有
    private int    status=0;// 0:未处理 1:成功 2:格式不允许上传
    private String data;// BASE64字符编码
    private String orientataion;
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getInputName() {
        return inputName;
    }
    public void setInputName(String inputName) {
        this.inputName = inputName;
    }
    public String getExtesion() {
        return extesion;
    }
    public void setExtesion(String extesion) {
        this.extesion = extesion;
    }
    public String getPath() {
        return path;
    }
    public void setPath(String path) {
        this.path = path;
    }
    public String getThumbs() {
        return thumbs;
    }
    public void setThumbs(String thumbs) {
        this.thumbs = thumbs;
    }
    public String getMd5() {
        return md5;
    }
    public void setMd5(String md5) {
        this.md5 = md5;
    }
    public int getSize() {
        return size;
    }
    public void setSize(int size) {
        this.size = size;
    }
    public String getSummary() {
        return summary;
    }
    public void setSummary(String summary) {
        this.summary = summary;
    }
    public int getWidth() {
        return width;
    }
    public void setWidth(int width) {
        this.width = width;
    }
    public int getHeight() {
        return height;
    }
    public void setHeight(int height) {
        this.height = height;
    }
    public int getStatus() {
        return status;
    }
    public void setStatus(int status) {
        this.status = status;
    }
    public String getData() {
        return data;
    }
    public void setData(String data) {
        this.data = data;
    }

    public String getOrientataion() {
        return orientataion;
    }

    public void setOrientataion(String orientataion) {
        this.orientataion = orientataion;
    }
}
